# $Revision: 1.7 $, $Date: 2012/03/21 18:25:39 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
#
Summary:	GUPnP utility library to ease tasks related to DLNA
Summary(pl.UTF-8):	Biblioteka narzędziowa GUPnP ułatwiająca zadania związane z DLNA
Name:		gupnp-dlna
# note: 0.6.x is stable, 0.7.x unstable
Version:	0.6.6
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gupnp-dlna/0.6/%{name}-%{version}.tar.xz
# Source0-md5:	4e3151125de991f474f728c1c5343ab1
URL:		http://gupnp.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gobject-introspection-devel >= 0.6.4
BuildRequires:	gstreamer-devel >= 0.10.29.2
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.32
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.5.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	gstreamer >= 0.10.29.2
Requires:	gstreamer-plugins-base >= 0.10.32
Requires:	libxml2 >= 1:2.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUPnP DLNA is a small utility library that aims to ease the tasks
related to DLNA (Digital Living Network Alliance) such as media
profile guessing, transcoding to a given profile, etc.

%description -l pl.UTF-8
GUPnP DLNA to mała biblioteka narzędziowa, której celem jest
ułatwienie wykonywania zadań związanych z DLNA (Digital Living Network
Alliance), takich jak wykrywanie profili multimediów, przekodowywanie
do danego profilu itp.

%package devel
Summary:	Header files for GUPnP DLNA library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GUPnP DLNA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer-devel >= 0.10.29.2
Requires:	gstreamer-plugins-base-devel >= 0.10.32
Requires:	libxml2-devel >= 1:2.5.0

%description devel
Header files for GUPnP DLNA library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GUPnP DLNA.

%package static
Summary:	Static GUPnP DLNA library
Summary(pl.UTF-8):	Statyczna biblioteka GUPnP DLNA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GUPnP DLNA library.

%description static -l pl.UTF-8
Statyczna biblioteka GUPnP DLNA.

%package apidocs
Summary:	GUPnP DLNA library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GUPnP DLNA
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API and internal documentation for GUPnP DLNA library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GUPnP DLNA.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_apidocs:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:%{__rm} -r $RPM_BUILD_ROOT%{_gtkdocdir}}
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgupnp-dlna-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gupnp-dlna-info
%attr(755,root,root) %{_bindir}/gupnp-dlna-ls-profiles
%attr(755,root,root) %{_libdir}/libgupnp-dlna-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-dlna-1.0.so.2
%{_libdir}/girepository-1.0/GUPnPDLNA-1.0.typelib
%{_datadir}/gupnp-dlna

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-dlna-1.0.so
%{_datadir}/gir-1.0/GUPnPDLNA-1.0.gir
%{_includedir}/gupnp-dlna-1.0
%{_pkgconfigdir}/gupnp-dlna-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-dlna-1.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gupnp-dlna
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gupnp-dlna.spec,v $
Revision 1.7  2012/03/21 18:25:39  qboosh
- updated to 0.6.6

Revision 1.6  2012/02/15 16:03:50  qboosh
- updated ac/am/lt version

Revision 1.5  2012/02/14 19:59:54  megabajt
- updated to 0.6.5

Revision 1.4  2011/10/29 11:11:38  megabajt
- updated to 0.6.4

Revision 1.3  2011/09/11 13:59:51  qboosh
- updated to 0.6.1 (note: new soname)

Revision 1.2  2011/03/17 16:41:16  wiget
- drop libtool file
- rel. 2

Revision 1.1  2011/02/05 07:45:31  qboosh
- new; use 0.5.x series for now as 0.4.x included old gstreamer parts
